## python-hpack 2.1.0

=== Makefile ===
.PHONY: publish test

publish:
	python setup.py sdist upload
	python setup.py bdist_wheel upload

test:
	py.test -n 4 --cov hyper test/

## python-hpack 1.1.0

=== debian/changelog ===
python-hpack (1.1.0-1) unstable; urgency=low

  * New package (Closes: #789781); thanks to Sophie Brun <sophie@freexian.com>
    for doing the entire packaging work.

 -- Sebastien Delafond <seb@debian.org>  Wed, 29 Jul 2015 20:39:43 +0200

=== debian/control ===
Source: python-hpack
Section: python
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools,
 python-pytest, python3-all, python3-setuptools, python3-pytest
Standards-Version: 3.9.6
Homepage: http://hyper.readthedocs.org/en/latest/
Vcs-Git: git://git.kali.org/packages/python-hpack.git
Vcs-Browser: http://git.kali.org/gitweb/?p=packages/python-hpack.git;a=summary

Package: python-hpack
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Pure-Python HTTP/2 header encoding (HPACK)
 This module contains a pure-Python HTTP/2 header encoding (HPACK) logic
 for use in Python programs that implement HTTP/2. It also contains a
 compatibility layer that automatically enables the use of nghttp2 if
 it’s available.

Package: python3-hpack
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Pure-Python3 HTTP/2 header encoding (HPACK)
 This module contains a pure-Python HTTP/2 header encoding (HPACK) logic
 for use in Python programs that implement HTTP/2. It also contains a
 compatibility layer that automatically enables the use of nghttp2 if
 it’s available.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=hpack

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

override_dh_auto_test:
	dh_auto_test -- --test-pytest

## python-hpack 2.1.0

=== debian/changelog ===
python-hpack (2.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 14:25:43 +0100

python-hpack (2.0.1-1) unstable; urgency=medium

  * Correct Vcs-* urls
  * New upstream version (Closes: #805690)

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 Nov 2015 16:00:37 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  python-pytest, python3-all, python3-setuptools, python3-pytest
 Standards-Version: 3.9.6
 Homepage: http://hyper.readthedocs.org/en/latest/
-Vcs-Git: git://git.kali.org/packages/python-hpack.git
-Vcs-Browser: http://git.kali.org/gitweb/?p=packages/python-hpack.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-hpack.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-hpack.git
 
 Package: python-hpack
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.rst
-
-override_dh_auto_test:
-	dh_auto_test -- --test-pytest

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/hpack/hpack-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hpack 2.3.0

=== Makefile ===
.PHONY: publish test

publish:
	rm -rf dist/
	python setup.py sdist bdist_wheel
	twine upload -s dist/*

test:
	py.test -n 4 --cov hyper test/

=== debian/changelog ===
python-hpack (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0 (Closes: #833467, CVE-2016-6581)

 -- Sebastien Delafond <seb@debian.org>  Sat, 06 Aug 2016 08:28:46 -0700

python-hpack (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Fri, 01 Jul 2016 11:11:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools,
- python-pytest, python3-all, python3-setuptools, python3-pytest
-Standards-Version: 3.9.6
+ python-pytest, python-hypothesis, python3-all, python3-setuptools,
+ python3-pytest, python3-hypothesis
+Standards-Version: 3.9.8
 Homepage: http://hyper.readthedocs.org/en/latest/
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-hpack.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/python-hpack.git

## python-hpack 3.0.0

=== Makefile ===
.PHONY: publish test sample_output

publish:
	rm -rf dist/
	python setup.py sdist bdist_wheel
	twine upload -s dist/*

test:
	py.test -n 4 --cov hyper test/

sample_output:
	rm -rf hpack-test-case/
	git clone https://github.com/http2jp/hpack-test-case.git
	tox -e create_test_output -- hpack-test-case

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/hpack.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/hpack.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/hpack"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/hpack"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-hpack (3.0.0-4) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Remove hypothesis cache directory after running tests

  [ Sébastien Delafond ]
  * Set maintainer to Debian QA Group
  * Remove python2 package

 -- Sebastien Delafond <seb@debian.org>  Fri, 20 Dec 2019 17:47:13 +0100

python-hpack (3.0.0-3) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o
  * Bump-up Standards-Version
  * Use https in debian/watch
  * Use https URL for copyright-format
  * Change Homepage

 -- Sebastien Delafond <seb@debian.org>  Thu, 05 Apr 2018 12:54:25 +0200

python-hpack (3.0.0-2) unstable; urgency=medium

  * Don't install Hypothesis example database into binary package (Closes: #886523)

 -- Sebastien Delafond <seb@debian.org>  Sun, 07 Jan 2018 10:45:59 +0100

python-hpack (3.0.0-1) unstable; urgency=medium

  * Imported Upstream version 3.0.0

 -- Sebastien Delafond <seb@debian.org>  Tue, 04 Jul 2017 14:48:59 +0200

=== debian/control ===
Source: python-hpack
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-pytest, python3-hypothesis
Standards-Version: 4.1.3
Homepage: https://github.com/python-hyper/hpack
Vcs-Git: https://salsa.debian.org/debian/python-hpack.git
Vcs-Browser: https://salsa.debian.org/debian/python-hpack

Package: python3-hpack
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Pure-Python3 HTTP/2 header encoding (HPACK)
 This module contains a pure-Python HTTP/2 header encoding (HPACK) logic
 for use in Python programs that implement HTTP/2. It also contains a
 compatibility layer that automatically enables the use of nghttp2 if
 it’s available.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hpack
export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.rst

## python-hpack 4.0.0

=== debian/changelog ===
python-hpack (4.0.0-3) unstable; urgency=medium

  * Team Upload
  * Tests are broken in PyPi archive -> watch GitHub
  * Switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Mar 2025 11:54:35 +0100

python-hpack (4.0.0-2) unstable; urgency=medium

  * Clean test/conftest.py since it’s broken anyway.
    Unbreaks tests.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Nov 2020 12:44:57 +0100

python-hpack (4.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 3.0.0-2.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andrej Shadura ]
  * Maintain within the Python team (Closes: #947011).
  * New upstream release.
  * Update copyright years.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 29 Nov 2020 09:54:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,15 @@
 Source: python-hpack
 Section: python
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools, python3-pytest, python3-hypothesis
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Andrej Shadura <andrewsh@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-hypothesis,
+ python3-pytest,
+ python3-setuptools,
 Standards-Version: 4.1.3
 Homepage: https://github.com/python-hyper/hpack
 Vcs-Git: https://salsa.debian.org/debian/python-hpack.git

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hpack
export PYBUILD_AFTER_TEST=rm -r {build_dir}/.hypothesis

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/python-hyper/hpack/tags .*/v(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
